Missing search parameter for template kinds

07/28/2014 09:49 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123868 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1647

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123868

Description of problem:

Missing search option for subscriptions. In the API documentation the search optional is also not mentioned.

Having a search option makes it easier to retrieve the correct version in a single query without parsing the complete JSON output.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. curl -XGET --data-urlencode "search=name=provision" https://localhost/api/v2/template_kinds {

"total": 8,

"subtotal": 8,

"page": 1,

"per_page": 20,

"search": "name=provision",

"sort": {

"by": null,

"order": null

},

"results":

[{"name":"PXELinux","id":1,"created_at":"2014-07-11T09:07:16Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"PXEGrub","id":2,"

created_at":"2014-07-11T09:07:16Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"iPXE","id":3,"created_at":"2014-07-11T09:07:1

6Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"provision","id":4,"created_at":"2014-07-11T09:07:16Z","updated_at":"2014-07-1

1T09:07:16Z"},{"name":"finish","id":5,"created_at":"2014-07-11T09:07:16Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"script","i

d":6,"created_at":"2014-07-11T09:07:16Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"user_data","id":7,"created_at":"2014-07-

11T09:07:16Z","updated_at":"2014-07-11T09:07:16Z"},{"name":"ZTP","id":8,"created_at":"2014-07-11T09:07:16Z","updated_at":"201

4-07-11T09:07:16Z"}]

}

2.

3.

Actual results:

Return only the provision item

Expected results:

Additional info:

Associated revisions

Revision 12bb385d - 08/05/2014 07:54 AM - Ori Rabin

Fixes #6794: Adds search parameter for template kinds

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1123868
https://localhost/api/v2/template_kinds


History

#1 - 07/28/2014 09:50 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from [RFE] Missing search option for template kinds to Missing search parameter for template kinds

- Category set to API

- Assignee deleted (Bryan Kearney)

#2 - 07/30/2014 09:20 AM - Ohad Levy

- Target version set to 1.7.5

#3 - 07/31/2014 04:26 AM - Ohad Levy

- Assignee set to Ori Rabin

#4 - 07/31/2014 05:04 AM - Ori Rabin

- Status changed from New to Assigned

#5 - 08/04/2014 04:07 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1647 added

- Pull request deleted ()

#6 - 08/05/2014 07:25 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 08/05/2014 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12bb385dedbadf20294338008dd240684e05b026.
